/2026-01/marketing-solutions/ad-sets/{ad-set-id}
curl --request GET \
--url https://api.criteo.com/2026-01/marketing-solutions/ad-sets/{ad-set-id} \
--header 'Authorization: Bearer <token>'{
"data": {
"attributes": {
"advertiserId": "<string>",
"attributionConfiguration": {},
"bidding": {
"bidAmount": 123
},
"budget": {
"budgetAmount": 123
},
"campaignId": "<string>",
"datasetId": "<string>",
"name": "<string>",
"schedule": {
"endDate": {
"value": "2023-11-07T05:31:56Z"
},
"startDate": {
"value": "2023-11-07T05:31:56Z"
}
},
"targeting": {
"deliveryLimitations": {
"devices": [],
"environments": [],
"operatingSystems": []
},
"frequencyCapping": {
"value": {
"maximumImpressions": 123
}
},
"geoLocation": {
"countries": {
"value": {
"values": [
"<string>"
]
}
},
"subdivisions": {
"value": {
"values": [
"<string>"
]
}
},
"zipCodes": {
"value": {
"values": [
"<string>"
]
}
}
}
}
},
"id": "<string>",
"type": "ReadAdSetV24Q3"
},
"errors": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
],
"warnings": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
]
}/2026-01/marketing-solutions/ad-sets/{ad-set-id}
Get the data for the specified ad set
GET
/
2026-01
/
marketing-solutions
/
ad-sets
/
{ad-set-id}
/2026-01/marketing-solutions/ad-sets/{ad-set-id}
curl --request GET \
--url https://api.criteo.com/2026-01/marketing-solutions/ad-sets/{ad-set-id} \
--header 'Authorization: Bearer <token>'{
"data": {
"attributes": {
"advertiserId": "<string>",
"attributionConfiguration": {},
"bidding": {
"bidAmount": 123
},
"budget": {
"budgetAmount": 123
},
"campaignId": "<string>",
"datasetId": "<string>",
"name": "<string>",
"schedule": {
"endDate": {
"value": "2023-11-07T05:31:56Z"
},
"startDate": {
"value": "2023-11-07T05:31:56Z"
}
},
"targeting": {
"deliveryLimitations": {
"devices": [],
"environments": [],
"operatingSystems": []
},
"frequencyCapping": {
"value": {
"maximumImpressions": 123
}
},
"geoLocation": {
"countries": {
"value": {
"values": [
"<string>"
]
}
},
"subdivisions": {
"value": {
"values": [
"<string>"
]
}
},
"zipCodes": {
"value": {
"values": [
"<string>"
]
}
}
}
}
},
"id": "<string>",
"type": "ReadAdSetV24Q3"
},
"errors": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
],
"warnings": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Id of the ad set
Was this page helpful?
/2026-01/marketing-solutions/ad-sets
Previous
/2026-01/marketing-solutions/ad-sets/{ad-set-id}/audience
Next
⌘I